if not PriorityQueue then return end

if select(2, UnitClass('player')) ~= "MAGE" then
	return
end

local L = LibStub("AceLocale-3.0"):GetLocale("PriorityQueue")
local C = PriorityQueue.constants -- Defined in PriorityQueue LUA no locale needed.

C["Scorch"], _, C["Scorch Icon"] = GetSpellInfo(2948)

---------------------------
-- Mage Priorities
---------------------------

function PriorityQueue:GetMagePriorityDefaults()
	-- need a function to work out spec for now fixed values
	self.presets.priorities.name["Fire"] =  L["Fire"]
	self.presets.priorities.list["Fire"] = { "s", "none",  "none",  "none", "none", "none", "none", "none", "none", "none" }
	self.presets.default = "Fire"
end

PriorityQueue.priorityTable.name["s"] = C["Scorch"]
PriorityQueue.priorityTable.icon["s"] = C["Scorch Icon"]
PriorityQueue.priorityTable.test["s"] = 
	function () 
		if not PriorityQueue:SpellAvailable(C["Scorch"]) then 
			return false
		end
		local sdebuff, sduration = PriorityQueue:GetDebuffInfo(C["Scorch"])
		return not sdebuff or ( sduration < self:GetExpectedCastTime(1.5) )
	end 
