if not PriorityQueue then return end

if select(2, UnitClass('player')) ~= "DRUID" then
	return
end

local L = LibStub("AceLocale-3.0"):GetLocale("PriorityQueue")
local C = PriorityQueue.constants -- Defined in PriorityQueue LUA no locale needed.

C["Swipe"], _, C["Swipe Icon"] = GetSpellInfo(779)

---------------------------
-- Mage Priorities
---------------------------

function PriorityQueue:GetDruidPriorityDefaults()
	-- need a function to work out spec for now fixed values
	self.presets.priorities.name["Cat"] =  L["Cat"]
	self.presets.priorities.list["Cat"] = { "sw", "none",  "none",  "none", "none", "none", "none", "none", "none", "none" }
	self.presets.default = "Cat"
end

PriorityQueue.priorityTable.name["sw"] = C["Swipe"]
PriorityQueue.priorityTable.icon["sw"] = C["Swipe Icon"]
PriorityQueue.priorityTable.test["sw"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Swipe"]) 
	end 
